Package com.independentsoft.office.drawing

# Enum Class SystemColorValue

java.lang.Object
java.lang.Enum<SystemColorValue>
com.independentsoft.office.drawing.SystemColorValue

All Implemented Interfaces:
  `Serializable`, `Comparable<SystemColorValue>`, `Constable`

public enum SystemColorValue extends Enum<SystemColorValue>
The Enum SystemColorValue.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ACTIVE_BORDER`
  `ACTIVE_CAPTION`
  `APPLICATION_WORKSPACE`
  `BACKGROUND`
  `BUTTON_FACE`
  `BUTTON_HIGHLIGHT`
  `BUTTON_SHADOW`
  `BUTTON_TEXT`
  `CAPTION_TEXT`
  `DARK_3D`
  `GRADIENT_ACTIVE_CAPTION`
  `GRADIENT_INACTIVE_CAPTION`
  `GRAY_TEXT`
  `HIGHLIGHT`
  `HIGHLIGHT_TEXT`
  `HOT_LIGHT`
  `INACTIVE_BORDER`
  `INACTIVE_CAPTION`
  `INACTIVE_CAPTION_TEXT`
  `INFO_BACK`
  `INFO_TEXT`
  `LIGHT_3D`
  `MENU`
  `MENU_BAR`
  `MENU_HIGHLIGHT`
  `MENU_TEXT`
  `NONE`
  `SCROLL_BAR`
  `WINDOW`
  `WINDOW_FRAME`
  `WINDOW_TEXT`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static SystemColorValue`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static SystemColorValue[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### DARK_3D

    public static final SystemColorValue DARK_3D

  - ### LIGHT_3D

    public static final SystemColorValue LIGHT_3D

  - ### ACTIVE_BORDER

    public static final SystemColorValue ACTIVE_BORDER

  - ### ACTIVE_CAPTION

    public static final SystemColorValue ACTIVE_CAPTION

  - ### APPLICATION_WORKSPACE

    public static final SystemColorValue APPLICATION_WORKSPACE

  - ### BACKGROUND

    public static final SystemColorValue BACKGROUND

  - ### BUTTON_FACE

    public static final SystemColorValue BUTTON_FACE

  - ### BUTTON_HIGHLIGHT

    public static final SystemColorValue BUTTON_HIGHLIGHT

  - ### BUTTON_SHADOW

    public static final SystemColorValue BUTTON_SHADOW

  - ### BUTTON_TEXT

    public static final SystemColorValue BUTTON_TEXT

  - ### CAPTION_TEXT

    public static final SystemColorValue CAPTION_TEXT

  - ### GRADIENT_ACTIVE_CAPTION

    public static final SystemColorValue GRADIENT_ACTIVE_CAPTION

  - ### GRADIENT_INACTIVE_CAPTION

    public static final SystemColorValue GRADIENT_INACTIVE_CAPTION

  - ### GRAY_TEXT

    public static final SystemColorValue GRAY_TEXT

  - ### HIGHLIGHT

    public static final SystemColorValue HIGHLIGHT

  - ### HIGHLIGHT_TEXT

    public static final SystemColorValue HIGHLIGHT_TEXT

  - ### HOT_LIGHT

    public static final SystemColorValue HOT_LIGHT

  - ### INACTIVE_BORDER

    public static final SystemColorValue INACTIVE_BORDER

  - ### INACTIVE_CAPTION

    public static final SystemColorValue INACTIVE_CAPTION

  - ### INACTIVE_CAPTION_TEXT

    public static final SystemColorValue INACTIVE_CAPTION_TEXT

  - ### INFO_BACK

    public static final SystemColorValue INFO_BACK

  - ### INFO_TEXT

    public static final SystemColorValue INFO_TEXT

  - ### MENU

    public static final SystemColorValue MENU

  - ### MENU_BAR

    public static final SystemColorValue MENU_BAR

  - ### MENU_HIGHLIGHT

    public static final SystemColorValue MENU_HIGHLIGHT

  - ### MENU_TEXT

    public static final SystemColorValue MENU_TEXT

  - ### SCROLL_BAR

    public static final SystemColorValue SCROLL_BAR

  - ### WINDOW

    public static final SystemColorValue WINDOW

  - ### WINDOW_FRAME

    public static final SystemColorValue WINDOW_FRAME

  - ### WINDOW_TEXT

    public static final SystemColorValue WINDOW_TEXT

  - ### NONE

    public static final SystemColorValue NONE

- ## Method Details

  - ### values

    public static SystemColorValue[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static SystemColorValue valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null